Get document workflow
GET/documents/:documentId/workflows/:workflowId
Gets a document workflow; available as an Add-On Module
Request
Path Parameters
Document Identifier
Workflow Identifier
Query Parameters
Site Identifier
Artifact Document Identifier
Responses
- 200
- 400
200 CREATED
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
workflow
object
Workflow identifier
Workflow name
Workflow description
The current step workflow is on
Number of actions added for the current workflow step
Number of completed actions for the current workflow step
Status of the Workflow Document
Possible values: [COMPLETE, IN_PROGRESS, FAILED]
Inserted Timestamp
{
"workflow": {
"workflowId": "string",
"name": "string",
"description": "string",
"currentStepId": "string",
"actionCount": 0,
"completedActionCount": 0,
"status": "COMPLETE",
"insertedDate": "string"
}
}
400 BAD REQUEST
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
errors
object[]
List of errors
Error Key
Error Message
{
"errors": [
{
"key": "string",
"error": "string"
}
]
}